Skip to main content
`Ctrl`+`K`

# TSFunctionDomainError

Checks if the current state is valid

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSFunctionDomainError(TS ts, PetscReal stagetime, Vec Y, PetscBool *accept)

Collective

## Input Parameters

- ts - the `TS` context

- stagetime - time of the simulation

- Y - state vector to check.

## Output Parameter

- accept - Set to `PETSC_FALSE` if the current state vector is valid.

## Note

This function is called by the `TS` integration routines and calls the user provided function (set with `TSSetFunctionDomainError()`) to check if the current state is valid.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetFunctionDomainError()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages